# m3e/shape

Shape is a shape used to add emphasis and decorative flair.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Shape

opaque </>

Shape is a View Model for this component

## Fields:

- name: The name of the shape.

    pub opaque type Shape

# Values

## default_name

</>

    pub const default_name: option.Option(shape_name.ShapeName)

## name

</>

    pub fn name(
      arg: Shape,
      name: option.Option(shape_name.ShapeName),
    ) -> Shape

name sets the value of name for this Shape.

## new

</>

    pub fn new(name: option.Option(shape_name.ShapeName)) -> Shape

new creates a new Shape with the default configuration.

## render

</>

    pub fn render(
      model: Shape,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Shape

✨